

#  Read in the configuration file
#  And a list of subscribed news groups
proc loadConfig {} {
	global news sgroups newsread

	if { ![file exists $news(personal)/tclnews.rc] } {
		set news(sort) Subject
		set news(con_on_start) 0
		set news(newgrps) 1
		tclnews_setup 1
	} else {

		set fd [open $news(personal)/tclnews.rc r]
		gets $fd news(name)
		gets $fd news(serv)
		gets $fd news(mail)
		gets $fd news(email)
		gets $fd news(lst_date)
		gets $fd news(sort)
		gets $fd news(con_on_start)
		gets $fd news(newgrps)
		gets $fd news(saveonexit)
		gets $fd news(pop3)
		gets $fd news(popuser)
		close $fd
		set fd [open $news(personal)/tclnews.sig r]
		set news(sig) ""
		while { [gets $fd line] > 0 } {
			if { $news(sig) == "" } {
				set news(sig) "$line"
			} else {
				set news(sig) "$news(sig)\n$line"
			}
		}
		close $fd
	}

	if { $news(serv) == "" } { 
		tclnews_setup 1 
	}
	set news(.news,message) "Reading availible news groups"
	set news(showall) 0
	$news(glst) delete 0 end
	.news.x delete 0 end
	.news.seq delete 0 end
if { ![file exists $news(personal)/sgroups.dat] } {
	getallgroups
} else {
	set fd [open $news(personal)/sgroups.dat r]
	set news(.news,l1) 0
	set count 0
	gets $fd news(grp_date) ;# Last time new groups were
				 # requested
	while { [gets $fd line] > 0 && $news(.news,stop) == 0 } {
		set l [split $line]
		set g [lindex $l 0]
		set y [lindex $l 1]
		set sgroups($g) $y
		inslst .news $g 1
		incr count
		if { $count >= 30 } {
			incr news(.news,l1) $count
			set count 0
			update
		}
		set max [llength $l]
		for { set i 2 } { $i < $max } { incr i } {
			set a [lindex $l $i]
			if { $a != "" } {
				set newsread($g,$a) $a
			}
		}
	}
	close $fd
}
	set news(.news,stop) 0
	set news(.news,message) ""
}

